import { BaseProvider } from '#templates/base/provider';
import { Client } from '#models/Client';

export class ClientProvider extends BaseProvider<Client> {
	public static instance: ClientProvider;

	public static getInstance(): ClientProvider {
		ClientProvider.instance ??= new ClientProvider();
		return ClientProvider.instance;
	}

	public static get model() {
		return Client;
	}

	constructor() {
		super('Client');
	}
}
